image: gitlab-registry.cern.ch/ntof/daq/builder

include:
  - project: 'ntof/daq/common/tools/gitlab-ci-utils'
    file:
      - 'ci/scripts/gitlab-ci-cxx.yml'
      - 'ci/scripts/gitlab-ci-artifacts.yml'
      - 'ci/scripts/gitlab-ci-submodules.yml'

stages:
  - test
  - package
  - deploy

al9-style:
  image: gitlab-registry.cern.ch/ntof/daq/builder:al9
  extends: .cxx-style

al9-test:
  image: gitlab-registry.cern.ch/ntof/daq/builder:al9
  extends: .cxx-test

al9-package:
  image: gitlab-registry.cern.ch/linuxsupport/alma9-base
  extends: .cxx-package-rpm
  variables:
    PKGNAME: 'bctreader'
    DEPENDENCIES: 'pugixml-devel boost-devel'
  before_script:
    - dnf install -y epel-release

ci-git-submodules:
  stage: test
  extends: .ci-git-submodules

ci-git-update-submodules:
  stage: test
  extends: .ci-git-update-submodules

# Deploy rpm package
al9-ci-rpm:
  extends: .ci-rpm
  dependencies: [ al9-package ]
  variables:
    job: ntof/daq/distfiles

# Deploy the pages generated to DFS
al9-ci-artifacts:
  extends: .ci-artifacts
  dependencies: [ al9-test ]
